Reports Resource

Abstract class for REST webservices

PUT /report

Try it out!

Request Body
media type data type
application/json ReportDescription (JSON)
Response Body
media type data type description
application/json HdcSuccessTO (JSON)

POST /report/classmapping

Try it out!

Request Body
media type data type
application/json ReportClassesMapping (JSON)
Response Body
media type data type description
application/json HdcSuccessTO (JSON)

POST /report/fieldmapping

Try it out!

Request Body
media type data type
application/json ReportFieldsMapping (JSON)
Response Body
media type data type description
application/json HdcSuccessTO (JSON)

POST /report/filters

Try it out!

Request Body
media type data type
application/json ReportFilter (JSON)
Response Body
media type data type description
application/json HdcSuccessTO (JSON)

POST /report/json

Try it out!

Request Body
media type data type
application/json ReportRequest (JSON)
Response Body
media type data type description
application/json HdcPathProcessStateTO (JSON)

GET /report/list

Try it out!

Response Body
media type data type description
application/json object (JSON)

POST /report/upload

Upload report scripts package

Try it out!

Request Body
media type data type
multipart/form-data (custom)
Response Body
media type data type description
application/json HdcSuccessTO (JSON) JSON with information about operation's result

DELETE /report/{reportId}

Try it out!

Request Parameters
name type description default constraints
reportId path   long
Response Body
media type data type description
application/json HdcSuccessTO (JSON)

GET /report/classmapping/{reportId}

Try it out!

Request Parameters
name type description default constraints
reportId path   long
Response Body
media type data type description
application/json object (JSON)

GET /report/config/{reportId}

Try it out!

Request Parameters
name type description default constraints
reportId path   long
Response Body
media type data type description
application/json object (JSON)

POST /report/filters/values

Try it out!

Request Body
media type data type
application/json FilterValuesRequest (JSON)
Response Body
media type data type description
application/json object (JSON)

DELETE /report/filters/{filterId}

Try it out!

Request Parameters
name type description default constraints
filterId path   long
Response Body
media type data type description
application/json HdcSuccessTO (JSON)

GET /report/filters/{reportId}

Try it out!

Request Parameters
name type description default constraints
reportId path   long
Response Body
media type data type description
application/json object (JSON)

GET /report/mappedclasses/{reportId}

Try it out!

Request Parameters
name type description default constraints
reportId path   long
Response Body
media type data type description
application/json object (JSON)

DELETE /report/classmapping/{reportId}/{classId}

Try it out!

Request Parameters
name type description default constraints
classId path   long
reportId path   long
Response Body
media type data type description
application/json HdcSuccessTO (JSON)

GET /report/config/{reportId}/{className}

Try it out!

Request Parameters
name type description default constraints
className path    
reportId path   long
Response Body
media type data type description
application/json object (JSON)

GET /report/fieldmapping/{reportId}/{hdcClassId}

Try it out!

Request Parameters
name type description default constraints
hdcClassId path   long
reportId path   long
Response Body
media type data type description
application/json object (JSON)

DELETE /report/fieldmapping/{reportId}/{hdcClassId}/{fieldName}

Try it out!

Request Parameters
name type description default constraints
fieldName path    
hdcClassId path   long
reportId path   long
Response Body
media type data type description
application/json HdcSuccessTO (JSON)

GET /report/filters/values/{filterId}/{rootClassId}/{rootObjectId}

Try it out!

Request Parameters
name type description default constraints
filterId path   long
rootClassId path   long
rootObjectId path   long
Response Body
media type data type description
application/json object (JSON)